routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\authController;
use Laravel\Socialite\Facades\Socialite;
use App\Http\Controllers\depanController;
use App\Http\Controllers\skillController;
use App\Http\Controllers\halamanController;
use App\Http\Controllers\profileController;
use App\Http\Controllers\educationController;
use App\Http\Controllers\experienceController;
use App\Http\Controllers\pengaturanHalController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/',[depanController::class,"index"]);

Route::redirect('home', 'dashboard');
Route::get('/auth', [authController::class, "index"])->name('login');
Route::get('/auth/redirect', [authController::class, "redirect"])->middleware('guest');
Route::get('/auth/callback', [authController::class, "callback"])->middleware('guest');
Route::get('/auth/logout', [authController::class, "logout"]);




Route::prefix('dashboard')->middleware('auth')->group(
    function() {
        Route::get('/', function() {
            return view('dashboard.layout');
        });
        Route::get('/', [halamanController::class, 'index']);
        Route::resource('halaman',halamanController::class);
        Route::resource('experience',experienceController::class);
        Route::resource('education',educationController::class);
        Route::get('skill', [skillController::class, "index"])->name('skill.index');
        Route::post('skill', [skillController::class, "update"])->name('skill.update');
        Route::get('profile', [profileController::class, "index"])->name('profile.index');
        Route::post('profile', [profileController::class, "update"])->name('profile.update');
        Route::get('pengaturanhal', [pengaturanHalController::class, "index"])->name('pengaturanhal.index');
        Route::post('pengaturanhal', [pengaturanHalController::class, "update"])->name('pengaturanhal.update');
    }
);

app/Http/Controllers/educationController.php
<?php

namespace App\Http\Controllers;

use App\Models\riwayat;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class educationController extends Controller
{

    function __construct()
    {
        $this->_tipe = 'education';
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = riwayat::where('tipe',$this->_tipe)->orderBy('tgl_akhir','desc')->get();
        return view('dashboard.education.index')->with('data', $data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('dashboard.education.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        Session::flash('judul', $request->judul);
        Session::flash('info1', $request->info1);
        Session::flash('info2', $request->info2);
        Session::flash('info3', $request->info3);
        Session::flash('tgl_mulai', $request->tgl_mulai);
        Session::flash('tgl_akhir', $request->tgl_akhir);

        $request ->validate(
                [
                'judul' => 'required',
                'info1' => 'required',
                'tgl_mulai' => 'required',
                ],
                [
                'judul.required' => 'Nama Sekolah wajib diisi',
                'info1.required' => 'Nama Jurusan wajib diisi  ',
                'tgl_mulai.required' => 'Tanggal mulai wajib diisi  ',
                ]

            );
        
        $data= [
            'judul' => $request->judul,
            'info1' => $request->info1,
            'info2' => $request->info2,
            'info3' => $request->info3,
            'tipe' => $this->_tipe,
            'tgl_mulai' => $request->tgl_mulai,
            'tgl_akhir' => $request->tgl_akhir,
        
        ];
        riwayat::create($data);

        return redirect()->route('education.index')->with('success', 'Berhasil menambahkan data education');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data = riwayat::where('id',$id)->where('tipe',$this->_tipe)->first();
        return view('dashboard.education.edit')->with('data',$data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $request ->validate(
            [
                'judul' => 'required',
                'info1' => 'required',
                'tgl_mulai' => 'required',
                ],
                [
                'judul.required' => 'Nama Sekolah wajib diisi',
                'info1.required' => 'Nama Jurusan wajib diisi  ',
                'tgl_mulai.required' => 'Tanggal mulai wajib diisi  ',
                ]

            );
        
        $data= [
            'judul' => $request->judul,
            'info1' => $request->info1,
            'info2' => $request->info2,
            'info3' => $request->info3,
            'tipe' => $this->_tipe,
            'tgl_mulai' => $request->tgl_mulai,
            'tgl_akhir' => $request->tgl_akhir,
        
        ];
        riwayat::where('id',$id)->where('tipe',$this->_tipe)->update($data);

        return redirect()->route('education.index')->with('success', 'Berhasil Update data education');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        riwayat::where('id',$id)->where('tipe',$this->_tipe)->delete();
        return redirect()->route('education.index')->with('success', 'Berhasil delete data');
    }
}

resources/views/dashboard/education/create.blade.php
@extends('dashboard.layout')

@section('konten')
    <p class="card-title">Create Education</p>
    <div class="pd-3 mb-3"><a href="{{ route('education.index') }}" class="btn btn-secondary">kembali</a> </div>
    <div class="table-responsive">
    <form action="{{ route ('education.store') }}" method="POST">
        @csrf
        <div class="mb-3">
          <label for="judul" class="form-label">Sekolah</label>
          <input type="input"
              class="form-control form-control-sm" name="judul" id="judul" aria-describedby="helpId" placeholder="Sekolah" value="{{ Session::get('judul') }}" >
        </div>
        <div class="mb-3">
            <label for="info1" class="form-label">Jurusan</label>
            <input type="input"
                class="form-control form-control-sm" name="info1" id="info1" aria-describedby="helpId" placeholder="Jurusan" value="{{ Session::get('info1') }}" >
        </div>
        <div class="mb-3">
            <label for="info2" class="form-label">Nama Prodi</label>
            <input type="input"
                class="form-control form-control-sm" name="info2" id="info2" aria-describedby="helpId" placeholder="Nama Prodi" value="{{ Session::get('info2') }}" >
        </div>
        <div class="mb-3">
            <label for="info3" class="form-label">IPK</label>
            <input type="input"
                class="form-control form-control-sm" name="info3" id="info3" aria-describedby="helpId" placeholder="IPK" value="{{ Session::get('info3') }}" >
        </div>
        <div class="mb-3">
            <div class="row">
                <div class="col-auto">Tanggal Mulai </div>
                <div class="col-auto"><input type="date" class="form-control form-control-sm" name="tgl_mulai" placeholder="Tanggal Mulai" value="{{ Session::get('tgl_mulai') }}" > </div>
                <div class="col-auto">Tanggal Akhir </div>
                <div class="col-auto"><input type="date" class="form-control form-control-sm" name="tgl_akhir" placeholder="Tanggal Akhir" value="{{ Session::get('tgl_akhir') }}" ></div>
            </div>
        </div>

          <button class="btn btn-primary" name="simpan" type="submit">SIMPAN</button>
        
    
    
    </form>

    </div>
@endsection

resources/views/dashboard/education/edit.blade.php
@extends('dashboard.layout')

@section('konten')
    <p class="card-title">Edit education</p>
    <div class="pd-3 mb-3"><a href="{{ route('education.index') }}" class="btn btn-secondary">kembali</a> </div>
    <div class="table-responsive">
    <form action="{{ route ('education.update',$data->id) }}" method="POST">
        @csrf
        @method('put')
        <div class="mb-3">
          <label for="judul" class="form-label">Sekolah</label>
          <input type="input"
              class="form-control form-control-sm" name="judul" id="judul" aria-describedby="helpId" placeholder="Sekolah" value="{{ $data->judul }}" >
        </div>
        <div class="mb-3">
            <label for="info1" class="form-label">Jurusan</label>
            <input type="input"
                class="form-control form-control-sm" name="info1" id="info1" aria-describedby="helpId" placeholder="Jurusan" value="{{ $data->info1 }}" >
        </div>
        <div class="mb-3">
            <label for="info2" class="form-label">Nama Prodi</label>
            <input type="input"
                class="form-control form-control-sm" name="info2" id="info2" aria-describedby="helpId" placeholder="Nama Prodi" value="{{ $data->info2 }}" >
        </div>
        <div class="mb-3">
            <label for="info3" class="form-label">IPK</label>
            <input type="input"
                class="form-control form-control-sm" name="info3" id="info3" aria-describedby="helpId" placeholder="IPK" value="{{ $data->info3 }}" >
        </div>
        <div class="mb-3">
            <div class="row">
                <div class="col-auto">Tanggal Mulai </div>
                <div class="col-auto"><input type="date" class="form-control form-control-sm" name="tgl_mulai" placeholder="Tanggal Mulai" value="{{  $data->tgl_mulai }}" > </div>
                <div class="col-auto">Tanggal Akhir </div>
                <div class="col-auto"><input type="date" class="form-control form-control-sm" name="tgl_akhir" placeholder="Tanggal Akhir" value="{{  $data->tgl_akhir }}" ></div>
            </div>
        </div>
        

          <button class="btn btn-primary" name="simpan" type="submit">SIMPAN</button>
        
    
    
    </form>

    </div>
@endsection

resources/views/dashboard/education/index.blade.php
@extends('dashboard.layout')

@section('konten')
    <p class="card-title">Education</p>
    <div class="pd-3"><a href="{{ route('education.create') }}" class="btn btn-primary">+ Tambah</a> </div>
    <div class="table-responsive">
        <table class="table table-srtipped">
            <thead>
                <tr>
                    <th class="col-1">No</th>
                    <th class="col-2">Sekolah</th>
                    <th class="col-2">Nama Perusahaan</th>
                    <th class="col-1">Jurusan</th>
                    <th class="col-1">Nama Prodi</th>
                    <th class="col-1">Tanggal mulai</th>
                    <th class="col-1">Tanggal Akhir</th>
                    <th class="col-1">Aksi</th>
                </tr>
            </thead>
            <tbody>
                
                <?php $i =1; ?>
                @foreach ($data as $item)
                <tr>
                    <td>{{ $i++ }}</td>
                    <td>{{ $item->judul }}</td>
                    <td>{{ $item->info1 }}</td>
                    <td>{{ $item->info2 }}</td>
                    <td>{{ $item->info3 }}</td>
                    <td>{{ $item->tgl_mulai_indo }}</td>
                    <td>{{ $item->tgl_akhir_indo }}</td>
                    <td>
                        <a href="{{ route('education.edit', $item->id)}}" class="btn btn-sm btn-warning">Edit</a>
                        <form onsubmit="return confirm('apakah akan di hapus ?')" action="{{ route('education.destroy', $item->id)}}" method="POST" class="d-inline">
                        @csrf
                        @method('DELETE')
                        <button class="btn btn-sm btn-danger" type="submit" name="submit">Del</button>
                        </form>
                    </td>
                </tr>
                @endforeach
                
            </tbody>
        </table>

    </div>
@endsection